[algosdk](../README.md) / [Exports](../modules.md) / DryrunResult

# Class: DryrunResult

## Table of contents

### Constructors

- [constructor](DryrunResult.md#constructor)

### Properties

- [error](DryrunResult.md#error)
- [protocolVersion](DryrunResult.md#protocolversion)
- [txns](DryrunResult.md#txns)

## Constructors

### constructor

• **new DryrunResult**(`drrResp`)

#### Parameters

| Name | Type |
| :------ | :------ |
| `drrResp` | `DryrunResultResponse` |

#### Defined in

dryrun.ts:462

## Properties

### error

• **error**: `string` = `''`

#### Defined in

dryrun.ts:459

___

### protocolVersion

• **protocolVersion**: `string` = `''`

#### Defined in

dryrun.ts:460

___

### txns

• **txns**: `DryrunTransactionResult`[] = `[]`

#### Defined in

dryrun.ts:461
